﻿@model GarageMaster.Models.RoleModels.RoleDetailsModel

@{
    ViewData["Title"] = "ProfileRole";
}

<h1>ProfileRole</h1>
<hr />

<div class="container">
    <h4>RoleDetailsModel</h4>
    <div class="row">
        <div class="col-sm-6">
            <dt class="class=col-sm-4">
                @Html.DisplayNameFor(model => model.Name)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Name)
            </dd>
            <dt class="class=col-sm-4">
                @Html.DisplayNameFor(model => model.Users)
            </dt>
            @if (Model.Users.Any())
            {
                <dd class="col-sm-10">
                    @foreach (var user in Model.Users)
                    {
                        <div>@Html.Raw(user)</div>
                    }
                </dd>
            }
            else
            {
                <dd class="col-sm-10">
                    <h6 class="card-title">Роль не незначена ни одному пользователю</h6>
                </dd>

            }
        </div>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-controller="Role" asp-action="EditRoleByAdmin" asp-route-id="@Model.Id">
        <input type="submit" value="Изменить роль" class="btn btn-primary mt-3" />
    </a>
    <a asp-area="Admin" asp-controller="Role" asp-action="AddUsersToRole" asp-route-id="@Model.Id">
        <input type="submit" value="Добавить пользователя" class="btn btn-primary mt-3" />
    </a>
</div>

<div>
    <a asp-action="Roles">Back to List</a>
</div>